Bug 184077 - update port: games/gemrb
Summary: update port: games/gemrb
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Kozlov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-19 09:20 UTC by Timothy Beyer
Modified: 2013-11-23 13:20 UTC (History)
1 user (show)

See Also:


Attachments
gemrb.diff (1.28 KB, patch)
2013-11-19 09:20 UTC, Timothy Beyer
no flags Details | Diff
patch-gemrb.txt (2.20 KB, patch)
2013-11-21 22:32 UTC, Alex Kozlov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2013-11-19 09:20:00 UTC
- Update to version 0.8.0.1 (has some kind of security fix), and bring back INSTALLS_ICONS

Fix: The included patch
How-To-Repeat: 
    Apply patch and build port
Comment 1 Alex Kozlov freebsd_committer 2013-11-21 20:57:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ak

I'll take it.
Comment 2 Alex Kozlov freebsd_committer 2013-11-21 22:32:06 UTC
Hi, Timothy

What do you think about the attached patch?

p.s. I'm not sure that INSTALLS_ICONS is a very good idea,
it adds 27 packages to dependencies, some of which
are pretty heavy.


-- 
Alex
Comment 3 Timothy Beyer 2013-11-22 02:32:05 UTC
At Fri, 22 Nov 2013 00:32:06 +0200,
Alex Kozlov wrote:
> 
> [1  <text/plain; us-ascii (7bit)>]
> Hi, Timothy
> 
> What do you think about the attached patch?
> 
> p.s. I'm not sure that INSTALLS_ICONS is a very good idea,
> it adds 27 packages to dependencies, some of which
> are pretty heavy.
> 
> 

Provided that your patch works, it looks much easier to maintain than the
existing Makefile.  It seems like a big improvement.

I agree regarding the INSTALLS_ICONS.  Though, what should be done about the
file "/usr/local/share/pixmaps/gemrb.png"? Should it be in the pkg-plist?

Tim
Comment 4 Alex Kozlov freebsd_committer 2013-11-23 13:09:12 UTC
On Thu, Nov 21, 2013 at 06:32:05PM -0800, Timothy Beyer wrote:
> At Fri, 22 Nov 2013 00:32:06 +0200, Alex Kozlov wrote:
> > What do you think about the attached patch?
> > 
> > p.s. I'm not sure that INSTALLS_ICONS is a very good idea,
> > it adds 27 packages to dependencies, some of which
> > are pretty heavy.
> > 
> > 
> Provided that your patch works, it looks much easier to maintain than the
> existing Makefile.  It seems like a big improvement.
Yes, stagedir is a big improvement.
 
> I agree regarding the INSTALLS_ICONS.  Though, what should be done about the
> file "/usr/local/share/pixmaps/gemrb.png"? Should it be in the pkg-plist?
You can leave it as is, for now.


-- 
Alex
Comment 5 dfilter service freebsd_committer 2013-11-23 13:17:08 UTC
Author: ak
Date: Sat Nov 23 13:16:59 2013
New Revision: 334665
URL: http://svnweb.freebsd.org/changeset/ports/334665

Log:
  - Support STAGEDIR
  - Convert to new LIB_DEPENDS syntax
  - Update to 0.8.0.1 [1]
  
  PR:	ports/184077 (based on) [1]
  Submitted by:		Timothy Beyer <beyert@cs.ucr.edu> (maintainer) [1]

Modified:
  head/games/gemrb/Makefile
  head/games/gemrb/distinfo
  head/games/gemrb/pkg-plist

Modified: head/games/gemrb/Makefile
==============================================================================
--- head/games/gemrb/Makefile	Sat Nov 23 12:37:32 2013	(r334664)
+++ head/games/gemrb/Makefile	Sat Nov 23 13:16:59 2013	(r334665)
@@ -2,9 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	gemrb
-PORTVERSION=	0.8.0
+PORTVERSION=	0.8.0.1
 CATEGORIES=	games emulators
-MASTER_SITES=	SF/${PORTNAME}/GemRB%20Sources/GemRB%20${PORTVERSION}%20Sources
+MASTER_SITES=	SF/${PORTNAME}/GemRB%20Sources/GemRB%20${PORTVERSION:.1=}%20Sources
 
 MAINTAINER=	beyert@cs.ucr.edu
 COMMENT=	GemRB (Game engine made with preRendered Background)
@@ -12,8 +12,8 @@ COMMENT=	GemRB (Game engine made with pr
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-LIB_DEPENDS=	png15:${PORTSDIR}/graphics/png \
-		vorbis:${PORTSDIR}/audio/libvorbis
+LIB_DEPENDS=	libpng15.so:${PORTSDIR}/graphics/png \
+		libvorbis.so:${PORTSDIR}/audio/libvorbis
 
 USES=		cmake
 USE_SDL=	sdl mixer ttf
@@ -24,32 +24,4 @@ CFLAGS+=	-L${LOCALBASE}/lib -I${LOCALBAS
 CMAKE_C_FLAGS=	${CFLAGS}
 CMAKE_ARGS=	-DDOC_DIR="${DOCSDIR}" -DMAN_DIR="${MAN6PREFIX}/man/man6/" -DDISABLE_WERROR=1 -DINSOURCEBUILD=1
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
-MAN6=		gemrb.6
-
-post-patch:
-	@${REINPLACE_CMD} \
-	-e '/^ADD_SUBDIRECTORY( VLCPlayer )/d' \
-	${WRKSRC}/gemrb/plugins/CMakeLists.txt
-
-.if empty(PORT_OPTIONS:MDOCS)
-	@${REINPLACE_CMD} \
-	-e '/^INSTALL( FILES README INSTALL COPYING NEWS AUTHORS DESTINATION \$${DOC_DIR} )/d' \
-	${WRKSRC}/CMakeLists.txt
-	@${REINPLACE_CMD} \
-	-e '/^ADD_SUBDIRECTORY( docs )/d' \
-	${WRKSRC}/gemrb/CMakeLists.txt
-	@${REINPLACE_CMD} \
-	-e '/^ADD_SUBDIRECTORY( en )/d' \
-	${WRKSRC}/gemrb/docs/CMakeLists.txt
-.endif
-
-post-install:
-	@if [ ! -f ${PREFIX}/etc/gemrb.cfg ]; then \
-		${CP} ${WRKSRC}/gemrb/GemRB.cfg.sample ${PREFIX}/etc/gemrb.cfg; \
-	fi
-	@${CAT} ${PKGMESSAGE}
-
 .include <bsd.port.mk>

Modified: head/games/gemrb/distinfo
==============================================================================
--- head/games/gemrb/distinfo	Sat Nov 23 12:37:32 2013	(r334664)
+++ head/games/gemrb/distinfo	Sat Nov 23 13:16:59 2013	(r334665)
@@ -1,2 +1,2 @@
-SHA256 (gemrb-0.8.0.tar.gz) = 085af5d20e5ac4d587b3f26bb3878a0a5478e3ef8b317c4907d298c3aae1de29
-SIZE (gemrb-0.8.0.tar.gz) = 12231959
+SHA256 (gemrb-0.8.0.1.tar.gz) = 4d4fb00b09789c6de7e0959e7d7a1ccf6fc2aa6d0c86c4a6b35c45a2e9f5316d
+SIZE (gemrb-0.8.0.1.tar.gz) = 12303524

Modified: head/games/gemrb/pkg-plist
==============================================================================
--- head/games/gemrb/pkg-plist	Sat Nov 23 12:37:32 2013	(r334664)
+++ head/games/gemrb/pkg-plist	Sat Nov 23 13:16:59 2013	(r334665)
@@ -48,6 +48,7 @@ lib/gemrb/plugins/WAVReader.so
 lib/gemrb/plugins/WEDImporter.so
 lib/gemrb/plugins/WMPImporter.so
 lib/gemrb/plugins/ZLibManager.so
+man/man6/gemrb.6.gz
 %%PORTDOCS%%%%DOCSDIR%%/README
 %%PORTDOCS%%%%DOCSDIR%%/INSTALL
 %%PORTDOCS%%%%DOCSDIR%%/COPYING
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Alex Kozlov freebsd_committer 2013-11-23 13:19:00 UTC
State Changed
From-To: open->closed

Committed. Thanks!